Subject: bug#34861: TLS Error with Flatpak

From: "Raghav Gururajan" <[email-masked]>
Date: Mon, 18 Mar 2019 17:31:54 +0000

Hello Ludovic!

Yes, I did them. Still did not work.

I did the following to set env variables:

$ guix package -i nss-certs
$ export SSL_CERT_DIR="$HOME/.guix-profile/etc/ssl/certs"
$ export SSL_CERT_FILE="$HOME/.guix-profile/etc/ssl/certs/ca-certificates.crt"
$ export GIT_SSL_CAINFO="$SSL_CERT_FILE"

Regards,
RG.

March 18, 2019 9:49 AM, "Ludovic Courtès" <[email-masked]> wrote:

> Hello,
> 
> "Raghav Gururajan" <[email-masked]> skribis:
> 
>> Whenever I try "flatpak remote-add --if-not-exists flathub
>> https://flathub.org/repo/flathub.flatpakrepo"; I keep getting the error "Can't load uri
>> https://flathub.org/repo/flathub.flatpakrepo: TLS support is not available".
>> 
>> I even tried following steps mentioned at
>> https://www.gnu.org/software/guix/manual/en/guix.html#index-TLS. Still not working.
> 
> To be more specific, did you install ‘nss-certs’?
> 
> If you did is it installed system-wide in /etc/ssl/certs, or per-user?
> 
> Did you set ‘SSL_CERT_DIR’, ‘SSL_CERT_FILE’, or related environment
> variables?
> 
> Thanks,
> Ludo’.